bind ${INSERT_TABLE_CHAR} switch-client -T insert_strings

bind-key -T insert_strings space display-menu -T 'insert string menus' \
	' misc command lines' 'm' 'display-message "Must be opened directly with: #{prefix} ${INSERT_TABLE_CHAR} m"' \
	' kernel- / hardware-related command lines' 'k' 'display-message "Must be opened directly with: #{prefix} ${INSERT_TABLE_CHAR} k"' \
	' LVM command lines' 'l' 'display-message "Must be opened directly with: #{prefix} ${INSERT_TABLE_CHAR} l"' \
	' networking command lines' 'n' 'display-message "Must be opened directly with: #{prefix} ${INSERT_TABLE_CHAR} n"'


%hidden file_name='.tmux.insert-misc.conf'
if-shell "[ -f ~/${file_name} ]" {
	source-file "~/${file_name}"
}

#%hidden file_name='.tmux.insert-docker.conf'
#if-shell "[ -f ~/${file_name} ]" {
#	source-file "~/${file_name}"
#}
#
#%hidden file_name='.tmux.insert-firewalld.conf'
#if-shell "[ -f ~/${file_name} ]" {
#	source-file "~/${file_name}"
#}

%hidden file_name='.tmux.insert-kernel.conf'
if-shell "[ -f ~/${file_name} ]" {
	source-file "~/${file_name}"
}

%hidden file_name='.tmux.insert-lvm.conf'
if-shell "[ -f ~/${file_name} ]" {
	source-file "~/${file_name}"
}

%hidden file_name='.tmux.insert-network.conf'
if-shell "[ -f ~/${file_name} ]" {
	source-file "~/${file_name}"
}

#%hidden file_name='.tmux.insert-proxmox.conf'
#if-shell "[ -f ~/${file_name} ]" {
#	source-file "~/${file_name}"
#}
#
#%hidden file_name='.tmux.insert-psql.conf'
#if-shell "[ -f ~/${file_name} ]" {
#	source-file "~/${file_name}"
#}

